Bug 1121023 - [Fedora] translator credit
Summary: [Fedora] translator credit
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-API
Version: 3.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Damian Jansen
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 08:08 UTC by Noriko Mizumoto
Modified: 2015-02-24 16:06 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-24 08:00:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1184299 None None None Never

Internal Links: 1184299

Description Noriko Mizumoto 2014-07-18 08:08:04 UTC
Japanese team wish to retain our translators' credits which appears in PO header.

Comment 1 Carlos Munoz 2014-08-26 04:10:16 UTC
If the translators credits appear in the PO Header, they will be retained in Zanata.

Additionally, Zanata is able to populate the credits automatically from its own records as more translators work on a specific document.

Comment 2 TianShixiong 2014-08-26 11:42:13 UTC
(In reply to Carlos Munoz from comment #1)
> If the translators credits appear in the PO Header, they will be retained in
> Zanata.
> 
> Additionally, Zanata is able to populate the credits automatically from its
> own records as more translators work on a specific document.

I randomly checked PO headers of some projects in transifex, the credits are available. But some of them also includes the credits of the maintainers. However this should not be a big issue, as long as translators' credits are in there.

Comment 3 Michelle Kim 2015-02-18 23:09:38 UTC
Zanata won't delete the translator credits in PO header, however if the new translators joins Zanata and translates the file, his/her credit won't appear in PO header automatically I believe.

Noriko, Can I confirm that you are wanting to make Zanata to populate the credits automatically in PO header once it's worked on? If so, this is a new feature request in Zanata that we can start estimating.

Comment 4 Sean Flanigan 2015-02-19 05:39:38 UTC
(In reply to Michelle Kim from comment #3)
> Zanata won't delete the translator credits in PO header, however if the new
> translators joins Zanata and translates the file, his/her credit won't
> appear in PO header automatically I believe.

Unless something has changed, Zanata should be appending the new translator's credits to the existing PO header comment, followed by "#zanata" (which helps us to avoid duplicates).

Comment 5 Noriko Mizumoto 2015-02-19 06:17:39 UTC
(In reply to Sean Flanigan from comment #4)
> (In reply to Michelle Kim from comment #3)
> > Zanata won't delete the translator credits in PO header, however if the new
> > translators joins Zanata and translates the file, his/her credit won't
> > appear in PO header automatically I believe.
> 
> Unless something has changed, Zanata should be appending the new
> translator's credits to the existing PO header comment, followed by
> "#zanata" (which helps us to avoid duplicates).

Yes, this is very useful and nice feature. Thank you.

Comment 6 Michelle Kim 2015-02-23 22:26:29 UTC
Hi Noriko-san,

It seems Zanata already offer the feature that you requested in this bugzilla.

If translator submit their translation via Web Editor, their credit will be automatically appended to the existing PO header.

And now we have new client feature implemented (Please See Also link from Alex ) that if translators work offline and push their translation, they can still add the credits by using client option.

Are you happy for me to close this bug? Please let me know if you have any questions. Thanks, Michelle

Comment 7 Noriko Mizumoto 2015-02-24 07:42:11 UTC
Hi Michelle

This bug played important fodder when we made our decision go/no-go for Move to Zanata back in October 2014. Yes, I am happy with this feature, and this bug now can be closed.
Thank you and all Zanata team!

noriko

Comment 8 Sean Flanigan 2015-02-24 08:00:21 UTC
This is the original RFE: https://code.google.com/p/flies/issues/detail?id=269


Note You need to log in before you can comment on or make changes to this bug.